#
# spec file for package nss-shared-helper
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           nss-shared-helper
Version:        1.0.10
Release:        9.24
License:        LGPL-2.1+
Summary:        Helper functions for sharing NSS database
Group:          Development/Libraries/C and C++
Source0:        nss-shared-helper-%{version}.tar.bz2
Source1:        baselibs.conf
Url:            http://www.rosenauer.org/hg/libnsssharedhelper/
BuildRequires:  mozilla-nss-devel
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library provides helper functions for programs that want to share
an NSS crypto database.

%define debug_package_requires libnsssharedhelper0 = %{version}-%{release}

%package -n libnsssharedhelper0
License:        LGPL-2.1+
Summary:        Helper functions for sharing NSS database
Group:          Development/Libraries/C and C++

%description -n libnsssharedhelper0
This library provides helper functions for programs that want to share
an NSS crypto database.

%package devel
License:        LGPL-2.1+
Summary:        Development libraries for nss-shared-helper
Group:          Development/Libraries/C and C++
Requires:       libnsssharedhelper0 = %{version}
Requires:       mozilla-nss-devel

%description devel
Header and library files for helpers meant to enable sharing of NSS
crypto database.

%prep
%setup -n nss-shared-helper-%{version}

%build
%configure
make %{?_smp_mflags};

%install
%makeinstall
# We don't want to ship the .a and .la files
rm %{buildroot}/%{_libdir}/*.*a

%clean
rm -rf %{buildroot}

%files -n libnsssharedhelper0
%defattr(-, root, root, -)
%{_libdir}/libnsssharedhelper.so.*
%doc COPYING

%files devel
%defattr(-,root,root,-)
%{_includedir}/nss-shared-helper
%{_libdir}/libnsssharedhelper.so
%{_libdir}/pkgconfig/nss-shared-helper.pc

%post -n libnsssharedhelper0 -p /sbin/ldconfig

%postun -n libnsssharedhelper0 -p /sbin/ldconfig

%changelog
* Thu Dec  8 2011 wr@rosenauer.org
- update to version 1.0.10
  * DB location (if not specified otherwise) will be /etc/pki/nssdb
    if it exists and otherwise $HOME/.pki/nssdb
- cleanup specfile / fixup license tags
* Sun Oct 31 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Mon Apr  5 2010 wr@rosenauer.org
- fixed crash caused by wrong free() (bnc#572938)
* Thu Mar 11 2010 wr@rosenauer.org
- use /etc/pki/nssdb as default shared location as
  mozilla-nss-sysinit will manage to merge system and user dbs
  saved in ~/.pki/nssdb at runtime
* Thu Dec 17 2009 jengelh@medozas.de
- Add baselibs.conf as a source
- Enable parallel building
* Tue Jul 21 2009 wr@rosenauer.org
- Update to version 1.0.6
  * removed workaround for bnc#448259 but require NSS 3.12.3
  * changed default location to $HOME/.pki/nssdb which is the
    agreed one between integrators
* Thu Jan 22 2009 hpj@suse.de
- Update to version 1.0.6
  * Never print debug to stdout, only to stderr.
* Tue Dec 30 2008 wr@rosenauer.org
- Update to version 1.0.5
  * workaround for initial creation of shared DB (bnc#448259)
* Fri Nov 21 2008 hpj@suse.de
- Update to version 1.0.4, which makes the DB migration conditional
  on an environment variable that will not be set by default
  (NSS_USE_SHARED_DB).
* Wed Nov  5 2008 hpj@suse.de
- Update to version 1.0.3, which fixes includes when used in
  C++ code.
* Wed Nov  5 2008 coolo@suse.de
- adding baselibs.conf
* Mon Oct 27 2008 hpj@suse.de
- Update to version 1.0.2, which makes debug output during
  open/merge more verbose.
* Sun Oct 26 2008 hpj@suse.de
- Update to version 1.0.1, which has new database open/merge code
  that we need.
* Fri Aug 29 2008 hpj@suse.de
- Initial package.
